package com.gh.gamecenter.eventbus;

/**
 * Created by LGT on 2016/9/9.
 */
public class EBDownloadStatus {

    private String gameId;
    private String status;
    private String name;
    private String platform;
    private String url;
    private String packageName;
    private boolean isPluggable;

    public EBDownloadStatus(String status) {
        this.status = status;
    }

    public EBDownloadStatus(String status, String name, String platform, String url, String packageName, String gameId) {
        this.status = status;
        this.name = name;
        this.platform = platform;
        this.url = url;
        this.packageName = packageName;
        this.gameId = gameId;
    }

    public String getStatus() {
        return status;
    }

    public String getName() {
        return name;
    }

    public String getPlatform() {
        return platform;
    }

    public String getUrl() {
        return url;
    }

    public String getPackageName() {
        return packageName;
    }

    public boolean isPluggable() {
        return isPluggable;
    }

    public void setPluggable(boolean pluggable) {
        isPluggable = pluggable;
    }

    public String getGameId() {
        return gameId;
    }

    public void setGameId(String gameId) {
        this.gameId = gameId;
    }
}
